Overview

Retrieve dataset

Get dataset by ID

GET/v2/datasets/{dataset_id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset_idstring · pathrequired
(path)
Output14
canWriteboolean
Whether this dataset has write access
createdstring
The RFC3339-formatted time when the dataset was created.
descriptionstring
Dataset description
edgeDeploymentstring
Edge deployment of the dataset
edgeDeploymentUrlstring
URL of the edge deployment
idstring
Dataset ID
kindstring
The kind of the dataset One of: otel:metrics:v1, otel:traces:v1, otel:logs:v1, axiom:events:v1.
mapFieldsstring[]
namestring
Unique dataset name
retentionDaysinteger
Number of days to retain data in the dataset
sharedByOrgstring
ID of the org that shared this resource, if it's shared
updatedAtstring
The RFC3339-formatted time when the dataset was last updated.
useRetentionPeriodboolean
Whether to use the retention period
whostring
Name of the dataset creator
Responses
200Success
403Forbidden
404Not found
Example input
curl 'https://api.axiom.co/v2/datasets/{dataset_id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "created": "2022-07-20T02:35:14.137Z",
  "description": "string",
  "id": "string",
  "kind": "axiom:events:v1",
  "name": "string",
  "updatedAt": "2022-07-20T02:35:14.137Z",
  "who": "string"
}

Updated

Was this page helpful?